Download it now!
Bug 30900 - OFFSET function doesn't work when used within named range.
Summary: OFFSET function doesn't work when used within named range.
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-15 08:48 UTC by Kohei Yoshida
Modified: 2010-11-01 10:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Exemple of List with OFFSET (11.07 KB, application/vnd.oasis.opendocument.spreadsheet)
2010-10-26 01:55 UTC, GerardF
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kohei Yoshida 2010-10-15 08:48:14 UTC
Originally reported here:

http://the-document-foundation.969070.n3.nabble.com/OFFSET-function-don-t-works-tt1700974.html

I quote:
---
Hi,

I frequently use OFFSET in Insert > Name > Define for create Drop down lists.

The array formula =OFFSET(A1;0;0;1;COUNTA(A1:H1)) returns Error 504 with LibO Beta2.

May be it's a collateral damage of the resolution of this bug : http://qa.openoffice.org/issues/show_bug.cgi?id=103331

Thanks to have a look.

Gérard
---
Comment 1 Kohei Yoshida 2010-10-25 18:26:44 UTC
Adding the original reporter to the CC.
Comment 2 Kohei Yoshida 2010-10-25 18:28:37 UTC
Gérard, could you attach a minimal test document that contains the problem you reported to this bugzilla page?  Note that the attachment will become publicly accessible.  Thanks.
Comment 3 GerardF 2010-10-26 01:55:17 UTC
Created attachment 39779 [details]
Exemple of List with OFFSET

May be this bug is fixed with resolution of this issue : https://bugs.freedesktop.org/show_bug.cgi?id=30946
Comment 4 Kohei Yoshida 2010-10-28 16:51:25 UTC
Ok.  In the test document, the validity drop-down list shows item1 through item10, so I assume this document is now working properly.

Thanks a lot for the test document, Gérard. :-)
Comment 5 sophie 2010-11-01 10:50:11 UTC
Verified in 10_10_28_Cedric.rpm build - Closing - Sophie